Subject: [Q] Source of left over lockfiles

From: "Eric Ross, Colorado College" <[email-masked]>
Date: Wed, 19 Apr 1995 09:42:58 -0600

I am running into an email problem, but I'm not sure of the source.  And 
I'm a newbie UNIX system administrator.  I would appreciate any 
suggestions you might have!

We are running DG/UX 5.4R3.10 and pine 3.91.  Periodically a user is 
unable to receive mail.  The sender gets the mail back with:

UX:mail: ERROR: Creation of lockfile failed after 10 tries
UX:mail: ERROR: Cannot create dead.letter: Permission denied

On investigation I find files in /var/mail of the form eross.lock or 
eross.lock.798211577.2688.cccc where eross is the affected usercode.  If 
I delete the file the problem is resolved.

I found a number of users had .pine-crash files in their home 
directories, all of which contain near the end:

about to end_tty_driver
Pine Panic:  Received abort signal

I should mention that all users are on PCs telneting to the system.

Thanks in advance for any suggestions you might have!

Eric Ross				Colorado College
[email-masked]			14 E. Cache la Poudre St.
(719) 389-6452				Colorado Springs, Colorado  80903